﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Il codice è stato generato da uno strumento.
//     Versione runtime:4.0.30319.42000
//
//     Le modifiche apportate a questo file possono provocare un comportamento non corretto e andranno perse se
//     il codice viene rigenerato.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Mlc.Data {
    using System;
    
    
    /// <summary>
    ///   Classe di risorse fortemente tipizzata per la ricerca di stringhe localizzate e così via.
    /// </summary>
    // Questa classe è stata generata automaticamente dalla classe StronglyTypedResourceBuilder.
    // tramite uno strumento quale ResGen o Visual Studio.
    // Per aggiungere o rimuovere un membro, modificare il file con estensione ResX ed eseguire nuovamente ResGen
    // con l'opzione /str oppure ricompilare il progetto VS.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "15.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class CodeMasterResource {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal CodeMasterResource() {
        }
        
        /// <summary>
        ///   Restituisce l'istanza di ResourceManager nella cache utilizzata da questa classe.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Mlc.Data.CodeMasterResource", typeof(CodeMasterResource).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Esegue l'override della proprietà CurrentUICulture del thread corrente per tutte le
        ///   ricerche di risorse eseguite utilizzando questa classe di risorse fortemente tipizzata.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a using System;
        ///using System.Data;
        ///using Mlc.Data;
        ///
        ///namespace //NameSpace&gt;
        ///{
        ///	/// &lt;summary&gt;
        ///	/// Codice generato in automatico da &lt;see cref=&quot;Mx.Core.Data.DsTypeCodeCreator&quot;/&gt;
        ///	/// NON MODIFICARE MANUALMENTE
        ///	/// &lt;/summary&gt;
        ///	public abstract class //ClassName&gt;Base : DsRowMapBase
        ///	{
        ///		#region Costanti
        ///		/// &lt;summary&gt;Nome della tabella in DB&lt;/summary&gt;
        ///		public const string DbTableName = &quot;//DbTableName&gt;&quot;;
        ///		/// &lt;summary&gt;Nome della tabella nel DataSet&lt;/summary&gt;
        ///		public const string DsTableName = &quot;/ [stringa troncata]&quot;;.
        /// </summary>
        internal static string DSrowMapClassPrototype {
            get {
                return ResourceManager.GetString("DSrowMapClassPrototype", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a using System;
        ///using System.Data;
        ///using System.Collections.Generic;
        ///using System.Linq;
        ///using System.Text;
        ///
        ///using Mx.Core;
        ///using Mx.Core.Db;
        ///using Mx.Core.Data;
        ///
        ///namespace //NameSpace&gt;
        ///{
        ///	/// &lt;summary&gt;
        ///	/// Codice generato in automatico da &lt;see cref=&quot;Mx.Core.Data.DsTypeCodeCreator&quot;/&gt;
        ///	/// NON MODIFICARE MANUALMENTE
        ///	/// &lt;/summary&gt;
        ///	public class //ClassProxyName&gt;Base : DsProxyBase
        ///	{
        ///		#region Costruttori
        ///		/// &lt;summary&gt;
        ///		/// Inizializza una nuova istanza
        ///		/// &lt;/summary&gt;
        ///		/// &lt;param na [stringa troncata]&quot;;.
        /// </summary>
        internal static string DSrowMapClassProxyPrototipe {
            get {
                return ResourceManager.GetString("DSrowMapClassProxyPrototipe", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a         /// &lt;summary&gt;
        ///        /// Restituisce o imposta il valore mappato sul campo //DbFiledName&gt;
        ///        /// &lt;/summary&gt;    
        ///        //Type&gt; //PropertyName&gt; { get ; set; }.
        /// </summary>
        internal static string DSrowMapIPropertyPrototype {
            get {
                return ResourceManager.GetString("DSrowMapIPropertyPrototype", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a         /// &lt;summary&gt;Valore mappato sul campo //DbFiledName&gt;&lt;/summary&gt;
        ///        protected //Type&gt; //FieldName&gt; = default(//Type&gt;);
        ///        /// &lt;summary&gt;
        ///        /// Restituisce o imposta il valore mappato sul campo //DbFiledName&gt;
        ///        /// &lt;/summary&gt;  
        ///		[Field(Visible = true, HAlign = HorzAlignment.Left)]  
        ///        public virtual //Type&gt; //PropertyName&gt; { get { return this.//FieldName&gt;; } set { this.//FieldName&gt; = value; } }.
        /// </summary>
        internal static string DSrowMapPropertyPrototype {
            get {
                return ResourceManager.GetString("DSrowMapPropertyPrototype", resourceCulture);
            }
        }
    }
}
